Register Team for Tournament
curl --request POST \
--url https://api.16tms.com/api/v1/tournaments/{tournamentId}/registrations/teams/{teamId} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"applicationMessage": "<string>",
"password": "<string>",
"payment": {
"transactionId": "<string>",
"amount": 123,
"currencyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"paymentMethod": "<string>"
}
}
'import requests
url = "https://api.16tms.com/api/v1/tournaments/{tournamentId}/registrations/teams/{teamId}"
payload = {
"applicationMessage": "<string>",
"password": "<string>",
"payment": {
"transactionId": "<string>",
"amount": 123,
"currencyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"paymentMethod": "<string>"
}
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
applicationMessage: '<string>',
password: '<string>',
payment: {
transactionId: '<string>',
amount: 123,
currencyId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
paymentMethod: '<string>'
}
})
};
fetch('https://api.16tms.com/api/v1/tournaments/{tournamentId}/registrations/teams/{teamId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Registration successful",
"data": {
"registrationId": "d8c3e4de-117a-4f69-994c-68698db6f938",
"tournamentId": "0fe60e24-f120-45a4-baab-6bdab592b6b7",
"tournamentName": "Auto Test Tournament",
"participantId": "0cc2b3d5-71ad-49dc-ab7d-f35ba6bc0d55",
"participantType": 2,
"participantName": "string",
"status": 2,
"entryFeePaid": 50,
"paymentStatus": "PendingPayment"
},
"meta": {
"traceId": "00-f125448ab05644fa80f36b22f1d71ac5-0124b07dc253ea94-00",
"elapsedMs": 70.26,
"serverTimestamp": "2026-02-12T11:21:26.4669586Z"
}
}{
"success": false,
"error": {
"code": "BUSINESS_RULE_VIOLATION",
"message": "Participant is not eligible"
},
"meta": {
"traceId": "00-f125448ab05644fa80f36b22f1d71ac5-0124b07dc253ea94-00",
"elapsedMs": 70.26,
"serverTimestamp": "2026-02-12T11:21:26.4669586Z"
}
}API Reference
Register Team for Tournament
Register a team for a tournament. This endpoint is for team registration where ‘instantRegistrations’ is false.
POST
/
tournaments
/
{tournamentId}
/
registrations
/
teams
/
{teamId}
Register Team for Tournament
Authorizations
API key for authentication.
Path Parameters
The unique identifier of the tournament
The unique identifier of the team
Body
application/json
⌘I